Bug 1831139 (CVE-2020-9488) - CVE-2020-9488 log4j: improper validation of certificate with host mismatch in SMTP appender
Summary: CVE-2020-9488 log4j: improper validation of certificate with host mismatch in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-9488
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1831142 1831143 1831316 1831317 1831318 1831319 1831320 1831321 1833229 1833230 1833990
Blocks: 1831144
TreeView+ depends on / blocked
 
Reported: 2020-05-04 17:28 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-03-30 16:31 UTC (History)
104 users (show)

Fixed In Version: log4j-2.13.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-17 23:20:50 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2391 0 None None None 2020-06-17 17:38:13 UTC
Red Hat Product Errata RHSA-2020:3626 0 None None None 2020-09-03 16:50:41 UTC
Red Hat Product Errata RHSA-2020:3779 0 None None None 2020-09-17 13:10:23 UTC
Red Hat Product Errata RHSA-2020:3817 0 None None None 2020-09-23 09:00:48 UTC
Red Hat Product Errata RHSA-2020:5568 0 None None None 2020-12-16 12:13:50 UTC
Red Hat Product Errata RHSA-2021:0603 0 None None None 2021-02-17 13:40:15 UTC

Description Guilherme de Almeida Suckevicz 2020-05-04 17:28:34 UTC
Improper validation of certificate with host mismatch in Apache Log4j SMTP appender. This could allow an SMTPS connection to be intercepted by a man-in-the-middle attack which could leak any log messages sent through that appender.

Reference:
https://issues.apache.org/jira/browse/LOG4J2-2819

Comment 1 Guilherme de Almeida Suckevicz 2020-05-04 17:31:07 UTC
Created log4j tracking bugs for this issue:

Affects: fedora-all [bug 1831142]


Created log4j12 tracking bugs for this issue:

Affects: fedora-all [bug 1831143]

Comment 2 Todd Cullum 2020-05-04 20:15:20 UTC
Upstream patch: https://github.com/apache/logging-log4j2/commit/6851b50/

Comment 4 Kunjan Rathod 2020-05-04 23:20:08 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat Enterprise Application Platform 6
 * Red Hat Enterprise Application Platform 5
 * Red Hat JBoss Operations Network 3
 * Red Hat JBoss BRMS 5
 * Red Hat JBoss BRMS 6
 * Red Hat JBoss BPMS 6
 * Red Hat JBoss Fuse 6
 * Red Hat JBoss Fuse Service Works 6
 * Red Hat JBoss SOA Platform 5
 * Red Hat JBoss Active MQ 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 7 Jason Shepherd 2020-05-05 22:50:12 UTC
Mitigation:

Previous versions can set the system property mail.smtp.ssl.checkserveridentity to true to globally enable hostname verification for SMTPS connections.

Comment 14 Mark Cooper 2020-05-11 06:50:48 UTC
The following OpenShift components package a version of log4j which includes the vulnerable SMTP class (included in the log4j-core pacakge for log4j v2):
 - openshift4/ose-logging-elasticsearch5
 - openshift4/ose-metering-hive

Comment 18 errata-xmlrpc 2020-06-17 17:38:08 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2391 https://access.redhat.com/errata/RHSA-2020:2391

Comment 19 Product Security DevOps Team 2020-06-17 23:20:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-9488

Comment 20 errata-xmlrpc 2020-09-03 16:50:36 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid

Via RHSA-2020:3626 https://access.redhat.com/errata/RHSA-2020:3626

Comment 22 errata-xmlrpc 2020-09-17 13:10:16 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.7

Via RHSA-2020:3779 https://access.redhat.com/errata/RHSA-2020:3779

Comment 23 errata-xmlrpc 2020-09-23 09:00:37 UTC
This issue has been addressed in the following products:

  AMQ Clients 2.y for RHEL 6
  AMQ Clients 2.y for RHEL 8
  AMQ Clients 2.y for RHEL 7

Via RHSA-2020:3817 https://access.redhat.com/errata/RHSA-2020:3817

Comment 28 errata-xmlrpc 2020-12-16 12:14:13 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.8.0

Via RHSA-2020:5568 https://access.redhat.com/errata/RHSA-2020:5568

Comment 29 errata-xmlrpc 2021-02-17 13:40:11 UTC
This issue has been addressed in the following products:

  RHDM 7.10.0

Via RHSA-2021:0603 https://access.redhat.com/errata/RHSA-2021:0603

Comment 30 errata-xmlrpc 2021-03-30 16:31:19 UTC
This issue has been addressed in the following products:

  RHPAM 7.10.1

Via RHSA-2021:1044 https://access.redhat.com/errata/RHSA-2021:1044


Note You need to log in before you can comment on or make changes to this bug.